<div class="content-block dx-card responsive-paddings">
  <dx-data-grid #gridContainer [dataSource]="dataSource" [showBorders]="true" [columnHidingEnabled]="true" [allowColumnResizing]="true" (onToolbarPreparing)="onToolbarPreparing($event)" (onRowUpdating)="onRowUpdating($event)">
    <dxo-paging [enabled]="true" [pageSize]=10></dxo-paging>
    <dxo-export [enabled]="true" fileName="Direcciones"></dxo-export>
      <dxo-editing [allowAdding]="true" [allowDeleting]="true" [allowUpdating]="true" mode="popup">
        <dxo-popup title="Cuentas" [showTitle]="true">
        </dxo-popup>
        <dxo-form>
          <dxi-item dataField="CostumerId" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Cliente requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="Number">
            <dxi-validation-rule type="required" message="Cuenta requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="OpeningBalance" editorType="dxNumberBox" [editorOptions]="{ format:'$ #,##0.##' }">
            <dxi-validation-rule type="required" message="Deposito inicial requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="TypeAccount" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Tipo cuenta requerido">
            </dxi-validation-rule>
          </dxi-item>
          <dxi-item dataField="StateAccount" editorType="dxSelectBox">
            <dxi-validation-rule type="required" message="Estado requerido">
            </dxi-validation-rule>
          </dxi-item>    
        </dxo-form>
      </dxo-editing>
    <dxi-column dataField="Id" caption="Id" [editorOptions]="{ disabled: 'true' }" [visible]="false">
    </dxi-column>
    <dxi-column dataField="CostumerId" caption="Cliente">
      <dxo-lookup [dataSource]="costumerStore" valueExpr="Id" displayExpr="Name"></dxo-lookup>
    </dxi-column>
    <dxi-column dataField="Number" caption="Cuenta">
    </dxi-column>
    <dxi-column dataField="TypeAccount" caption="Tipo Cuenta">
      <dxo-lookup [dataSource]="typeAccounts" displayExpr="name" valueExpr="id">
      </dxo-lookup>
    </dxi-column>
    <dxi-column dataField="OpeningBalance" caption="Deposito Inicial">
    </dxi-column>
    <dxi-column dataField="RowVersion" caption="RowVersion" [visible]="false">
    </dxi-column>
    <dxi-column dataField="StateAccount" caption="Estado">
      <dxo-lookup [dataSource]="stateAccounts" displayExpr="name" valueExpr="id">
      </dxo-lookup>
    </dxi-column>
  </dx-data-grid> 
</div>
